Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util.utiltest
Class StringsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.bouncycastle.util.utiltest.StringsTest

All Implemented Interfaces:
  junit.framework.Test

public class StringsTest
extends junit.framework.TestCase

Constructor Summary
`StringsTest()`

Method Summary
`void` | `testSplitConsecutiveDelimiters()`
`void` | `testSplitDomainWithLeadingDot()`
`void` | `testSplitNoDelimiter()`
`void` | `testSplitNormalDomain()`
`void` | `testSplitOnlyDelimiter()`
`void` | `testSplitTrailingDelimiter()`
`void` | `testSplitWithLeadingDelimiter()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringsTest

    public StringsTest()

Method Detail

### testSplitWithLeadingDelimiter

    public void testSplitWithLeadingDelimiter()

### testSplitDomainWithLeadingDot

    public void testSplitDomainWithLeadingDot()

### testSplitNormalDomain

    public void testSplitNormalDomain()

### testSplitNoDelimiter

    public void testSplitNoDelimiter()

### testSplitTrailingDelimiter

    public void testSplitTrailingDelimiter()

### testSplitOnlyDelimiter

    public void testSplitOnlyDelimiter()

### testSplitConsecutiveDelimiters

    public void testSplitConsecutiveDelimiters()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD